Name:           oracle-ovirt-release-el8
Version:        1.0
Release:        1.0.5%{dist}
Summary:        oVirt yum repository configuration
Obsoletes:      ovirt-release43

Group:          System Environment
License:        GPLv2

Source0:        oracle-ovirt-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64
Requires:      oraclelinux-release-el8
Requires:      oracle-gluster-release-el8
Requires:      gawk
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the oVirt yum repository configuration.

%global debug_package %{nil}

%prep
%setup  -q  -c -T

%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%pre
OSVERSION=$( cat /etc/oracle-release | awk '{print $NF}' )
enabled_repos=$( /usr/bin/dnf repolist | tail -n +2 | awk '{print $1}' )
echo $enabled_repos > /etc/yum.repos.d/.oracle_enable_repolist


%post
if [ ! -f /etc/yum/vars/ociregion ]; then
   (http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v1/instance/ > /dev/null 2>&1)
   if [ $? != 0 ]; then
      echo > /etc/yum/vars/ociregion
   else
      instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v1/instance/ -s | jq -r '.region' | cut -d '-' -f 2)
      if [ -z "$instance_region" ]; then
         echo > /etc/yum/vars/ociregion
      else
         echo "-$instance_region" > /etc/yum/vars/ociregion
      fi
   fi
fi

(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v1/instance/ > /dev/null 2>&1)
if [ $? = 0 ]; then
   sed -i "s|https:|http:|" /etc/yum.repos.d/oracle-ovirt-ol8.repo
fi


%posttrans

# Disabling 4.3 repository configuration file if available.
if [ -f /etc/yum.repos.d/oracle-ovirt-ol7.repo ]; then
   mv /etc/yum.repos.d/oracle-ovirt-ol7.repo /etc/yum.repos.d/oracle-ovirt-ol7.repo.old.`date +%Y%m%d`
fi

echo -e "Enabling OLVM 4.4 required Yum Channels..."

echo -e "Enabling ol8_baseos_latest Yum Channel..."
/usr/bin/dnf config-manager --enable ol8_baseos_latest > /dev/null

echo -e "Enabling ol8_UEKR6 Yum Channel..."
/usr/bin/dnf config-manager --enable ol8_UEKR6 > /dev/null

echo -e "Enabling ol8_gluster_appstream Yum Channel..."
/usr/bin/dnf config-manager --enable ol8_gluster_appstream > /dev/null

echo -e "Enabling ol8_kvm_appstream Yum Channel..."
/usr/bin/dnf config-manager --enable ol8_kvm_appstream > /dev/null

echo -e "Disabling yum module virt:ol "
/usr/bin/dnf -y module disable virt:ol  > /dev/null

echo -e "Enabling yum module virt:kvm_utils2 "
/usr/bin/dnf -y module enable virt:kvm_utils2  > /dev/null

echo -e "Enabling module pki-deps "
/usr/bin/dnf -y module enable pki-deps  > /dev/null

echo -e "Enabling module postgresql:13 "
/usr/bin/dnf -y module enable postgresql:13  > /dev/null

echo -e "Enabling module nodejs:18 "
/usr/bin/dnf -y module reset nodejs  > /dev/null
/usr/bin/dnf -y module enable nodejs:18  > /dev/null

echo -e "Exclude ansible-core updates from OL ol8_appstream "
/usr/bin/dnf -y config-manager --enable ol8_appstream --setopt="ol8_appstream.exclude=ansible-core"  > /dev/null

echo -e "Required oVirt 4.4 Yum Channels enabled."
echo -e "Done."

%changelog

* Mon Jul 17  2023 Saksham Srivastava <saksham.sa.srivastava@oracle.com> 1.0-1.0.5
- Exclude ansible-core updates from OL ol8_appstream

* Fri Apr 21 2023 Saksham Srivastava <saksham.sa.srivastava@oracle.com> 1.0-1.0.4
- Enabling nodejs:18 module

* Mon Apr 18 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.3
- Enable pki-deps and postgres modules

* Tue Mar 29 2022 Marcos Sungaila <marcos.sungaila@oracle.com> 1.0-1.0.2
- Fixing spec scripts and repository file

* Wed Nov 17 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.1
- Initial package

* Tue Nov 16 2021 Jaroslav Stepanek <jaroslav.stepanek@oracle.com> 1.0-1
- Initial package
